%bcond_with bootstrap

%if %{with bootstrap}
%bcond_with tests
%else
%bcond_without tests
%endif

Name:           python-wheel
Version:        0.40.0
Release:        1
Epoch:          1
Summary:        Built-package format for Python
License:        MIT
URL:            https://github.com/pypa/wheel
Source0:        %{url}/archive/%{version}/wheel-%{version}.tar.gz
BuildArch:      noarch

%description
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package -n     python3-wheel
Summary:        Built-package format for Python
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pip
BuildRequires:  python3-hatchling
BuildRequires:  python3-flit-core

%if %{with tests}
BuildRequires:  python3-pytest python3-pyxdg 
%endif
%{?python_provide:%python_provide python3-wheel}

%description -n python3-wheel
A built-package format for Python.
A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.
Python 3 version.


%if %{without bootstrap}
%package wheel
Summary:        The Python wheel module packaged as a wheel

%description wheel
A Python wheel of wheel to use with virtualenv.
%endif


%prep
%autosetup -n wheel-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install
mv %{buildroot}%{_bindir}/wheel{,-%{python3_version}}
ln -s wheel-%{python3_version} %{buildroot}%{_bindir}/wheel-3

%if %{without bootstrap}
# We can only use bdist_wheel when wheel is installed, hence we don't build the wheel in %%build
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%pyproject_build
install -d %{buildroot}%{_datadir}/python-wheels
install -p build/wheel-%{version}-py3-none-any.whl -t %{buildroot}%{_datadir}/python-wheels
%endif

%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-3 -v --ignore build
%endif


%files -n python3-wheel
%license LICENSE.txt
%doc README.rst
%{_bindir}/wheel-3*
%{python3_sitelib}/wheel*

%if %{without bootstrap}
%files wheel
%license LICENSE.txt
%dir %{_datadir}/python-wheels/
%{_datadir}/python-wheels/wheel-%{version}-py3-none-any.whl
%endif

%changelog
* Fri Jun 30 2023 liuyongshuai <ysliuci@isoftstone.com> - 1:0.40.0-1
- Upgrade package to version 0.40.0

* Mon Dec 05 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 1:0.38.4-1
- Upgrade package to version 0.38.4

* Fri Mar 04 2022 yuanxin<yuanxin24@h-partners.com> - 0.37.0-2
- build python-wheel-wheel binary package

* Mon Nov 29 2021 shixuantong<shixuantong@huawei.com> - 0.37.0-1
- update version to 0.37.0

* Fri Nov 26 2021 shixuantong<shixuantong@huawei.com> - 0.36.2-3
- disable tests when bootstrapping

* Tue Jul 27 2021 shixuantong<shixuantong@huawei.com> - 0.36.2-2
- remove useless BuildRequires 

* Wed Feb 03 2021 shixuantong<shixuantong@huawei.com> - 0.36.2-1
- upgrade version to 0.36.2

* Mon Nov 2 2020 wangjie<wangjie294@huawei.com> -0.31.1-5
- Type:NA
- ID:NA
- SUG:NA
- DESC:remove python2

* Mon Dec 2 2019 yangjian<yangjian79@huawei.com> - 1:0.31.1-4
- Package init
